<div class="docs-primary-header component-page-header">
  <mat-chip-list>
      <mat-chip>
          <mat-icon>home</mat-icon>
          <a routerLink="/dashboard">Home</a>
      </mat-chip>
  </mat-chip-list>
</div>

<!-- <button mat-fab (click)="sidenav1.toggle() && resetform()" class="float-button">
  <mat-icon matTooltip="Add Category">add</mat-icon>
</button> -->

<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>MAPPED USERS</span>
      <div style="flex-grow:1;"></div>
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent"><mat-icon color="warn">delete</mat-icon>C-Users</button>&nbsp;
    
      <button mat-raised-button style="cursor: pointer;" (click)="delete1()" color="accent"><mat-icon color="warn">delete</mat-icon>B-Users</button> 
    </div>
    <div class="example-header row">
      <div class="col-md-6">
          <mat-form-field>
              <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
            </mat-form-field>
      </div>
     
      <div class="col-md-6">
          <mat-form-field>
              <input matInput (keyup)="applyFilter1($event.target.value)" placeholder="Filter">
            </mat-form-field>
      </div>

    </div>
<div class="col-md-12 row">
    <mat-table class="col-md-6" #table [dataSource]="dataSource" matSort>

     
      <ng-container matColumnDef="category_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Category Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.category_name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="users">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Mapped Users </mat-header-cell>
        <mat-cell *matCellDef="let element">


          <button mat-raised-button style="cursor: pointer;" (click)="openDialog(element.category_id,'category')" color="accent">SHOW</button>

          <!-- <mat-accordion>
            <mat-expansion-panel style="box-shadow: none;">
              <mat-expansion-panel-header>
                <mat-panel-title (click)="openDialog(element.category_id)">
                  Show List
                </mat-panel-title>
              </mat-expansion-panel-header>
              <mat-chip-list>
                <mat-chip *ngFor="let users of posts3">{{users.user_name}}</mat-chip>
              </mat-chip-list>
            </mat-expansion-panel>
          </mat-accordion> -->

        </mat-cell>
      </ng-container>

      <ng-container matColumnDef="action">
          <mat-header-cell *matHeaderCellDef>
            <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
            [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
                >
            </mat-checkbox>
          </mat-header-cell>
          <mat-cell *matCellDef="let row">  
            <mat-checkbox  (change)="sendIDS($event.checked,row.category_id,posts.length)"
                          [checked]="sel">
            </mat-checkbox>
          </mat-cell>
        </ng-container>
        
      <!-- <ng-container matColumnDef="action"> 
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select </mat-header-cell>
        <mat-cell *matCellDef="let element"><mat-checkbox (change)="sendIDS($event.checked,element.category_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container> -->
      <!-- <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select</mat-header-cell>
        <mat-cell *matCellDef="let row"><mat-checkbox (change)="sendIDS($event.checked,row.category_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container>  -->

      <mat-header-row *matHeaderRowDef="[ 'category_name', 'users','action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: [ 'category_name', 'users','action']"></mat-row>

    </mat-table>

     
    <mat-table class="col-md-6" #table [dataSource]="dataSource1" matSort>

      

     

      <ng-container matColumnDef="brand_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Brand Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.brand_name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="users">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Mapped Vehicles </mat-header-cell>
        <mat-cell *matCellDef="let element">


            <button mat-raised-button style="cursor: pointer;" (click)="openDialog(element.brand_id,'brand')" color="accent">SHOW</button>

          <!-- <mat-accordion>
            <mat-expansion-panel style="box-shadow: none;">
              <mat-expansion-panel-header>
                <mat-panel-title (click)="show_brand_user(element.brand_id)">
                  Show List
                </mat-panel-title>
              </mat-expansion-panel-header>
              <mat-chip-list>
                <mat-chip *ngFor="let users of posts4">{{users.user_name}}</mat-chip>
              </mat-chip-list>
            </mat-expansion-panel>
          </mat-accordion> -->

        </mat-cell>
      </ng-container>
      <ng-container matColumnDef="action"> 
          <mat-header-cell *matHeaderCellDef>
            <mat-checkbox (change)="alltogglecheck1($event.checked,posts1)"
            [checked]="allsel1"   [indeterminate]="this.intsel1 > 0 ? true : false"
                >
            </mat-checkbox>
          </mat-header-cell>
          <mat-cell *matCellDef="let row">  
            <mat-checkbox  (change)="sendIDS1($event.checked,row.brand_id,posts1.length)"
                          [checked]="sel1">
            </mat-checkbox>
          </mat-cell>
        </ng-container>
      <!-- <ng-container matColumnDef="action">  
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select </mat-header-cell>
        <mat-cell *matCellDef="let element"><mat-checkbox (change)="sendIDS1($event.checked,element.brand_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container> -->
      <!-- <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select</mat-header-cell>
        <mat-cell *matCellDef="let row"><mat-checkbox (change)="sendIDS1($event.checked,row.brand_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container>  -->

      <mat-header-row *matHeaderRowDef="['brand_name','users','action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['brand_name','users','action']"></mat-row>

    </mat-table>
  </div>
    <!-- <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]"> -->
        <mat-paginator [length]="100000" [pageSize]="5000" [pageSizeOptions]="[5000, 10000,50000, 100000]">

    </mat-paginator>
  </div>
</div>

